<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'reglas_create'" class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Regla</button>
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>Fecha Inicio</th>
					<th>Sede</th>
					<th>Pagina</th>
					<th>Modelo</th>
					<th>Mínimo</th>
					<th>Máximo</th>
					<th>Porcentaje</th>
					<th>TRM</th>
					<th style=" width: 7%;">Acción</th>
				</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Fecha Inicio</th>
						<th>Sede</th>
						<th>Pagina</th>
						<th>Modelo</th>
						<th>Mínimo</th>
						<th>Máximo</th>
						<th>Porcentaje</th>
						<th>TRM</th>
						<th>Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let regla of reglas">
						<td>{{ regla.init_date }}</td>
						<td>{{ regla.sede !== null ? regla.sede.name : '' }}</td>
						<td>{{ regla.pagina !== null ? regla.pagina.name : '' }}</td> 
						<td>{{ regla.infomodelo !== null ? regla.infomodelo.name + ' '+regla.infomodelo.lastname : ''  }}</td>
						<td>{{ regla.minimun }}</td> 
						<td>{{ regla.maximum }}</td>
						<td>{{ regla.percentage }}</td>
						<td>{{ regla.trm }}</td>
						<td style="text-align: center;">
							<a *ngxPermissionsOnly="'reglas_edit'" class="badge badge-pill badge-primary" style=" font-size: 13px;" href="javascript:void(0)" (click)="onEditar(regla)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>

<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="_form" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Fecha Inicio: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.init_date.invalid && (submitted || f.init_date.touched))"> El campo es requerido</label>
	        			<input type="date" class="form-control" formControlName="init_date" [ngClass]="{ 'is-invalid': f.init_date.errors && (f.init_date.touched || submitted), 'is-valid': f.init_date.touched && !f.init_date.errors}"> 
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Modelo: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.model_id.invalid && (submitted || f.model_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="modelos" bindLabel="nomcompleto" formControlName="model_id" autofocus bindValue="id" > </ng-select>
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Pagina: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.page_id.invalid && (submitted || f.page_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="paginas" bindLabel="name" formControlName="page_id" autofocus bindValue="id"> </ng-select>
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Sede: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.sede_id.invalid && (submitted || f.sede_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="sedes" bindLabel="name" formControlName="sede_id" autofocus bindValue="id"> </ng-select>
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Valor Mínimo: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.minimun.invalid && (submitted || f.minimun.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="minimun" [ngClass]="{ 'is-invalid': f.minimun.errors && (f.minimun.touched || submitted), 'is-valid': f.minimun.touched && !f.minimun.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Valor Máximo: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.maximum.invalid && (submitted || f.maximum.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="maximum" [ngClass]="{ 'is-invalid': f.maximum.errors && (f.maximum.touched || submitted), 'is-valid': f.maximum.touched && !f.maximum.errors}">
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">TRM: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.trm.invalid && (submitted || f.trm.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="trm" [ngClass]="{ 'is-invalid': f.trm.errors && (f.trm.touched || submitted), 'is-valid': f.trm.touched && !f.trm.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Porcentaje: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.percentage.invalid && (submitted || f.percentage.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="percentage" [ngClass]="{ 'is-invalid': f.percentage.errors && (f.percentage.touched || submitted), 'is-valid': f.percentage.touched && !f.percentage.errors}">
		            </div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>

